## muse-el 3.20%2Bdfsg

=== debian/changelog ===
muse-el (3.20+dfsg-6) unstable; urgency=medium

  * Rebuild with dh-elpa 2.0.
  * Migrate to debhelper-compat 13.
  * Add Rules-Requires-Root: no.
  * Update my copyright years.
  * Add 0005-convert-a-muse-init.el-example-to-UTF-8.patch.
  * Declare Standards-Version: 4.5.1 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 08 Dec 2020 06:48:39 -0500

muse-el (3.20+dfsg-5) unstable; urgency=medium

  * Update Maintainer to use the Debian Emacsen Team's new email address.
  * Uncapitalise short description, and fix ancient typos.
  * Use secure URL for copyright-format.
  * Revert section change to lisp.  Editors was correct, and the Debian
    archive currently classifies this package as such.
  * Add lintian override for elpa-muse' wrong-section-according-to-package-name
  * Switch Vcs links from alioth to salsa.
  * Switch to debhelper-compat 12 and drop debian/compat.
  * Drop the muse-el dummy transitional package.
  * Add Provides: muse-el to elpa-muse, for the benefit of users who only
    know this package by that name.
  * Update my copyright years.
  * Change Build-Depends-Indep: emacs25-nox to emacs-nox (unversioning).
  * debian/rules:
    - Delete unused remnants of boilerplate.
    - Override dh_auto_install, which is now installing files to
      debian/elpa-muse/usr/local, to do nothing.
  * Update Breaks and Replaces for 3.20+dfsg-5.
  * Drop emacs25 from Enhances, because it doesn't exist in Buster.
  * Declare Standards-Version: 4.4.0. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 08 Jul 2019 14:07:43 -0400

muse-el (3.20+dfsg-4) unstable; urgency=medium

  * Declare Standards-Version: 4.1.3. (No additional changes needed)
  * Switch to debhelper 11.
  * Declare compat level 11.
  * Update packaging to current pkg-emacsen standards:
    - Change from Section: editors to Section: lisp.
    - Drop emacs24 everywhere.
    - Drop unnecessary emacsen-common dependency.
    - Drop Built-Using.
  * Drop depends on emacs-goodies-el, and depend on elpa-htmlize instead.
  * debian/control: Use my preferred formatting.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 07 Jan 2018 18:14:58 -0500

muse-el (3.20+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 19 Jun 2017 19:34:13 -0400

muse-el (3.20+dfsg-2) experimental; urgency=medium

  * debian/COPYING.emails: Add confirmation emails from all previous
    contributors.
  * debian/copyright:
    - Add license for debian/*
    - Primary GPL3+ section can finally be simplified; simplify it.
  * debian/control: Make dependencies comply with Debian Emacs Policy.
    - unversioned dh-elpa
    - Drop emacs-nox from Build-Depends-Indep.
    - Add emacsen-common to Depends.
  * debian/elpa-muse.install: Fix creation of redundant subdir under
    contrib.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 09 Jun 2017 19:10:22 -0400

muse-el (3.20+dfsg-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New Maintainer. (Closes: #715466)
  * Repackage using dh-elpa:
    - debian/control: add dh-elpa build dependency.
    - Rename the binary package to elpa-muse.
    - 'muse-el' is now a dummy transitional package.
    - debian/rules: Start from scratch, because it's a complete rewrite.
    - Drop debian/emacsen-* and debian/muse-el.dirs.
    - Add update_dir_struct.diff patch for upstream README to reflect
      the new locations various files are installed to.
    - Update NEWS and README.Debian with new elpa-muse locations, and remove
      asterisks from NEWS.
  * Declare source format 3.0 (quilt) non-native.
  * debian/control:
    - Change section to editors.
    - Change priority to optional.
    - Bump required debhelper to >=10.
    - Update Emacs build dependency to emacs-nox | emacs25 | emacs24.
    - Add texlive-latex-base dependency recommendation, which is needed for
      many functions, including TeX import/export and PDF export targets.
    - Add homepage, and Vcs links.
    - Bump standards version to 3.9.8.
      Various changes elsewhere in this changelog entry.
  * Register Quickstart.pdf with doc-base.
  * Switch to dh compat 10.
  * Add patch fix_privacy_breaches.diff; this removes CSS validation links and
    prevents the download of favicon. (Closes: #775885)
  * Add patch no_texi.diff to disable non-DFSG compliant documentation.
  * Install docs and examples using dh_install* tools.
  * debian/rules:
    - Override dh_auto_build to build examples and autoloads.
    - Override dh_installchangelogs to install upstream changelog series.
  * Install images used by the QuickStart.muse example to
    doc/elpa-muse-version/examples. (Closes: #720121)
  * Add patch use_see_not_open.diff to use Debian's "see" command rather
    than "open", the command a popular commercial OS uses to automatically
    choose the correct helper program to open files.  Thank you to Kevin Ryde,
    who suggested this change. (Closes: #720126)
  * Add watch file.
  * Add elpa-muse.lintian-overrides and source.lintian-overrides.  Refer
    to comments in these files for the rationale behind this.
  * Add muse-el.maintscript to remove obsolete 50muse-el.el.

  [ Sean Whitton ]
  * Add dependency on emacs-goodies-el.
    htmlize.el is needed for postinst to bytecompile htmlize-hack.el

  [ Nicholas D Steeves & Sean Whitton ]
  * debian/copyright:
    - Rewrite to use machine-readable format 1.0.
    - Fix misattributed source; timestamps found in the source code of our
      muse-el_3.20+dfsg.orig.tar.gz do not match those of the tarball
      provided by http://download.gna.org, but they match what
      git://repo.or.cz provides; consequently, this git repo must be cited
      as the verifiable origin of muse-el_3.20+dfsg.orig.tar.gz.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 15 Jan 2017 22:05:09 -0700

muse-el (3.20+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.

