## muse-el 3.20+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 .PHONY: all lisp contrib autoloads examples experimental doc info-only
 .PHONY: clean realclean distclean fullclean install-info install-bin install
-.PHONY: test dist release debclean debprepare debbuild debinstall deb upload
-.PHONY: elpa
+.PHONY: test dist release upload elpa
 
 DEFS = $(shell test -f Makefile.defs && echo Makefile.defs \
 	|| echo Makefile.defs.default)
@@ -72,37 +71,6 @@
 	  gpg --detach $(PROJECT)-$(VERSION).tar.gz && \
 	  gpg --detach $(PROJECT)-$(VERSION).zip)
 
-debclean:
-	-rm -f ../../dist/$(DISTRIBUTOR)/$(DEBNAME)_*
-	-rm -fr ../$(DEBNAME)_$(VERSION)*
-
-debprepare:
-	-rm -rf ../$(DEBNAME)-$(VERSION)
-	(cd .. && tar -xzf $(PROJECT)-$(VERSION).tar.gz)
-	mv ../$(PROJECT)-$(VERSION) ../$(DEBNAME)-$(VERSION)
-	(cd .. && tar -czf $(DEBNAME)_$(VERSION).orig.tar.gz \
-	    $(DEBNAME)-$(VERSION))
-	(cd debian && git archive --format=tar \
-	  --prefix=$(DEBNAME)-$(VERSION)/debian/ HEAD | \
-	  (cd ../.. && tar xf -))
-
-debbuild:
-	(cd ../$(DEBNAME)-$(VERSION) && \
-	  dpkg-buildpackage -v$(LASTUPLOAD) $(BUILDOPTS) \
-	    -us -uc -rfakeroot && \
-	  echo "Running lintian ..." && \
-	  lintian -i ../$(DEBNAME)_$(VERSION)*.deb || : && \
-	  echo "Done running lintian." && \
-	  echo "Running linda ..." && \
-	  linda -i ../$(DEBNAME)_$(VERSION)*.deb || : && \
-	  echo "Done running linda." && \
-	  debsign)
-
-debinstall:
-	cp ../$(DEBNAME)_$(VERSION)* ../../dist/$(DISTRIBUTOR)
-
-deb: debclean debprepare debbuild debinstall
-
 upload:
 	(cd .. && \
 	  scp $(PROJECT)-$(VERSION).zip* $(PROJECT)-$(VERSION).tar.gz* \
