=== experimental/Makefile ===
--- 
+++ 
@@ -2,7 +2,10 @@
 .PHONY: install-uncompiled
 .PRECIOUS: %.elc
 
-include ../Makefile.defs
+DEFS = $(shell test -f ../Makefile.defs && echo ../Makefile.defs \
+	|| echo ../Makefile.defs.default)
+
+include $(DEFS)
 
 EL  = $(wildcard *.el)
 ELC = $(patsubst %.el,%.elc,$(wildcard *.el))
