=== debian/changelog ===
muse-el (3.20+dfsg-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + elpa-muse: Drop versioned constraint on emacs in Recommends.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Move source package lintian overrides to debian/source.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Xiyue Deng ]
  * Add patch 0006-Migrate-away-from-deprecated-assoc.el.patch to fix
    build with Emacs 29.1.  Closes: #1042911.
  * Set package as team maintained and add myself as an uploader.
    Closes: #1016558.
  * Drop match pattern for privacy-breach-generic so as to match the
    included URLs.
  * Add lintian override for debian-news-entry-has-unknown-version to
    workaround #1021502.
  * Drop section referencing non-existing file in debian/copyright to fix
    lintian warning superfluous-file-pattern.
  * Drop lintian override of wrong-section-according-to-package-name.
  * Save and restore lisp/muse-autoloads.el to prevent it from changing
    when build-twice-in-a-row.  Closes: #1048114.

  [ Xiyue Deng & Nicholas D Steeves ]
  * Correct watch file so that it tracks the official GNU project on Savannah,
    rather than the fork on Github.  Additionally, start tracking all upstream
    activity (not just tags).

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 07 Sep 2023 21:32:02 -0700

muse-el (3.20+dfsg-7) unstable; urgency=medium

  * QA upload

  [ Nicholas D Steeves ]
  * Update my email address.

  [ David Bremner ]
  * Drop QuickStart.pdf from installed documentation. (Closes: #1016335).
  * Drop docbase support (Quickstart.pdf was the only installed file)

 -- David Bremner <bremner@debian.org>  Sun, 11 Sep 2022 09:19:05 -0300
