=== debian/control ===
Source: muse-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13)
             , dh-elpa
Build-Depends-Indep: texinfo
                   , texlive
                   , texlive-latex-extra
                   , emacs-nox
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://www.gnu.org/software/emacs-muse/index.html
Vcs-Git: https://salsa.debian.org/emacsen-team/muse-el.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/muse-el

Package: elpa-muse
Architecture: all
Depends: ${misc:Depends}
       , ${elpa:Depends}
       , elpa-htmlize
# ^ elpa-htmlize is needed for emacsen-common postinst to
# successfully bytecompile htmlize-hack.el
Recommends: emacs
          , doc-base
          , texlive-latex-base
Enhances: emacs
Breaks: muse-el (<< 3.20+dfsg-5)
Replaces: muse-el (<< 3.20+dfsg-5)
Provides: muse-el
Description: author and publish projects using Wiki-like markup
 Emacs Muse is an authoring and publishing environment for Emacs.  It
 simplifies the process of writing documents and publishing them to
 various output formats, such as DocBook, LaTeX, (X)HTML, TexInfo, and
 PDF.  It can even produce content suitable for blogging, such as
 Blosxom-style .txt files and RDF or RSS 2.0 feeds, using the
 muse-blosxom and muse-journal modules.
 .
 Muse consists of two main parts: an enhanced text-mode for authoring
 documents and navigating within Muse projects, and a set of publishing
 styles for generating different kinds of output.
