=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make examples
	# muse-autoloads.el gets regenerated during build.  Store the original
	# file to be restored during clean.  More on
	# https://bugs.debian.org/1048114.
	cp -f lisp/muse-autoloads.el debian/.debhelper/muse-autoloads.el
	make autoloads

override_dh_auto_install:

override_dh_installchangelogs:
	cat ChangeLog ChangeLog.5 ChangeLog.4 ChangeLog.3 ChangeLog.2 ChangeLog.1 > debian/.debhelper/changelog
	dh_installchangelogs debian/.debhelper/changelog

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_clean:
	# muse-autoloads.el gets regenerated during build.  Restore the original
	# file during clean.  More on https://bugs.debian.org/1048114.
	-cp -f debian/.debhelper/muse-autoloads.el lisp/muse-autoloads.el
	dh_auto_clean
