=== debian/watch ===
# The Debian source for upstream version 3.20+dfsg predates the
# transfer of Muse to GNU, as an official GNU project; Our source has
# not yet merged any of the upstream activity that this new watch file
# tracks, but this should be done at some point.

version=4
opts="mode=git, dversionmangle=auto, pretty=3.20+git%cd.%h" \
    git://git.savannah.gnu.org/emacs/elpa.git \
    heads/externals/muse debian uupdate
