## muse-el 3.20+git20240209.8710add+dfsg2

=== contrib/Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 include $(DEFS)
 
 EL  = $(wildcard *.el)
-ELC = $(patsubst %.el,%.elc,$(EL))
+EL_NOT_BYTE_COMPILED = htmlize-hack.el
+ELC = $(patsubst %.el,%.elc,$(filter-out $(EL_NOT_BYTE_COMPILED),$(EL)))
 
 all: contrib
