=== debian/changelog ===
muse-el (3.20+git20240209.8710add+dfsg2-1) unstable; urgency=medium

  * Repack source removing files no longer in upstream
  * Drop handling obsolete files in d/rules and make muse-el build
    reproducible (Closes: #889849)
  * Add d/gbp.conf

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 21 Oct 2024 22:12:56 -0700

muse-el (3.20+git20240209.8710add+dfsg-1) unstable; urgency=medium

  * Switch upstream to elpa and sync to latest upstream head (8710add).
  * Drop patches applied upstream
  * Drop comments in d/watch now that we are tracking elpa (Closes: #1051247)
  * Update year and add Upstream-Contact in d/copyright
  * Drop unused lintian overrides.
  * Declare Standards-Version 4.7.0; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 04 Aug 2024 04:01:37 -0700

muse-el (3.20+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:54:15 +0900
