=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                    , texlive-latex-extra
                    , emacs-nox
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.gnu.org/software/emacs-muse/index.html
 Vcs-Git: https://salsa.debian.org/emacsen-team/muse-el.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/muse-el
