=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make examples

override_dh_auto_install:
	@echo skip upstream build rule and prefer dh-elpa handling

override_dh_installchangelogs:
	cat ChangeLog ChangeLog.5 ChangeLog.4 ChangeLog.3 ChangeLog.2 ChangeLog.1 > debian/.debhelper/changelog
	dh_installchangelogs debian/.debhelper/changelog

override_dh_compress:
	dh_compress -X.pdf
