=== debian/watch ===
version=4
opts="mode=git, dversionmangle=auto, pretty=3.20+git%cd.%h" \
    git://git.savannah.gnu.org/emacs/elpa.git \
    heads/externals/muse debian uupdate
